using SQLite;

namespace LSFE.MobApp.Entities.Account
{
    [Table("Attendance")]
    public class Attendance
    {
        [PrimaryKey]
        public Guid AppAttendanceId { get; set; }
        public DateTime? TimeIn { get; set; }
        public DateTime? TimeOut { get; set; }

        [MaxLength(450)]
        public string? UserId { get; set; }

        [MaxLength(500)]
        public string? TimeInLocation { get; set; }
        [MaxLength(500)]
        public string? TimeOutLocation { get; set; }

        [MaxLength(450)]
        public string? SignatureFileNameIn { get; set; }
        [MaxLength(450)]
        public string? SignatureFileNameOut { get; set; }
        public byte[]? SignatureImage { get; set; }
        public bool IsSync { get; set; }=false;
        public bool ForAddressTranslation { get; set; }
        public double Latitude { get; set; } = 0;
        public double Longitude { get; set; } = 0;
    }
}